#
# spec file for package bash (Version 2.05)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         bash
Copyright:    1989 Free Software Foundation, Inc.
Group:        System Environment/Shells
Provides:     sh bash rbash
Autoreqprov:  on
Version:      2.05
Release:      116
Summary:      The GNU Bourne-Again Shell
Source0: bash-2.05.tar.bz2
Source1: readline-4.2.tar.bz2
Patch0:  bash-2.05.dif
Patch1:  readline-4.2.dif
Patch2:  bash-2.02-mailstat.patch
Patch3:  bash-2.03-manual.patch
Patch4:  bash-2.05-readline.patch
Patch5:  bash-2.05-security.patch
Patch6:  bash-2.05-warnings.patch
Patch7:  bash-2.05-2.4.4.patch
Patch8:  bash-2.05-procsubst.patch
Patch9:  bash-2.05-s390x-unwind.patch
Patch10: bash-2.05-fc.patch
Patch11: readline-4.2-P.patch

%description
Bash is a sh-compatible command interpreter that executes commands read
from standard input or from a file.  Bash also incorporates useful
features from the Korn and C shells (ksh and csh).  Bash is ultimately
intended to be a conformant implementation of the IEEE Posix Shell and
Tools specification (IEEE Working Group 1003.2).

Authors:
--------
    Brian Fox <bfox@gnu.org>
    Chet Ramey <chet@ins.cwru.edu>

SuSE series: a

%package -n readline
Summary:      The readline library
Group:        System Environment/Libraries
Provides:     bash:/lib/libreadline.so.4
Autoreqprov:  on

%description -n readline
The readline library is used e.g. by the Bourne Again Shell (bash, the
standard comand interpreter) for a easy edtiting of comand lines.  You
will find a history and search functionality for doing that.

Authors:
--------
    Brian Fox <bfox@gnu.org>
    Chet Ramey <chet@ins.cwru.edu>

SuSE series: a

%package -n readline-devel
Summary:      The readline library link kit
Group:        Development/System
Provides:     bash:/usr/lib/libreadline.a
Autoreqprov:  on

%description -n readline-devel
This package includes the header files, manual pages, and
the libraraies used the the linker to include the readline
library into a program.

Authors:
--------
    Brian Fox <bfox@gnu.org>
    Chet Ramey <chet@ins.cwru.edu>

SuSE series: d

%prep
%setup
%patch2  -p0 -b .mailstat
%patch3  -p0 -b .manual
%patch4  -p0 -b .readline
%patch5  -p0 -b .security
%patch6  -p0 -b .warnings
%patch7  -p0 -b .2.4.4
%patch8  -p0 -b .procsubst
# needs more work ...
%ifnarch ppc sparc
%patch9  -p1 -b .s390
%endif
%patch10 -p0 -b .fc
%patch0  -p0
%setup -T -n readline-4.2 -b1
%patch1  -p0
%patch11 -p0 -b .P

%build
%{?suse_update_config:%{suse_update_config -f support}}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall -pipe"
    CC=gcc
export CC CFLAGS
  autoconf
  ./configure %{_target_cpu}-suse-linux \
	--prefix=/usr			\
	--with-curses			\
	--mandir=%{_mandir}		\
	--infodir=%{_infodir}
  make
  make shared SHLIB_XLDFLAGS="-Wl,-rpath-link,/lib -lncurses"
  make documentation
  #
  # We may want to link bash with readline libraries
  #
  make install-shared libdir=/lib linkagedir=/usr/lib
  chmod 0755 /lib/libhistory.so.4.2
  chmod 0755 /lib/libreadline.so.4.2
  rm -f /lib/libhistory.so.4.2*old  ; ldconfig
  rm -f /lib/libreadline.so.4.2*old ; ldconfig
cd ../bash-2.05
  ln -sf $PWD/../readline-4.2 readline
  CC="gcc -I$PWD"
%{?suse_update_config:%{suse_update_config -f support}}
  #
  # We have a malloc with our glibc
  #
  SYSMALLOC="
	--without-gnu-malloc
	--without-glibc-malloc
  "
  #
  # System readline library (comment out it not to be used)
  #
  READLINE="
	--with-installed-readline
  "
  bash support/mkconffiles -v
  autoconf
  ./configure %{_target_cpu}-suse-linux	\
	--prefix=/usr			\
	--mandir=%{_mandir}		\
	--infodir=%{_infodir}	\
	--with-curses			\
	$SYSMALLOC			\
	--enable-job-control		\
	--enable-alias			\
	--enable-readline		\
	--enable-history		\
	--enable-bang-history		\
	--enable-directory-stack	\
	--enable-process-substitution	\
	--enable-prompt-string-decoding	\
	--enable-select			\
	--enable-help-builtin		\
	--enable-array-variables	\
	--enable-brace-expansion	\
	--enable-command-timing		\
	--enable-disabled-builtins	\
	$READLINE
  make
  make documentation

%install
  make install
  make install-shared libdir=/lib linkagedir=/usr/lib
  rm -rf %{_defaultdocdir}/bash
  mkdir -p %{_defaultdocdir}/bash
  install -m 644 doc/*.html     %{_defaultdocdir}/bash/
  chmod 0755 /lib/libhistory.so.4.2
  chmod 0755 /lib/libreadline.so.4.2
  rm -f /lib/libhistory.so.4.2*old  ; ldconfig
  rm -f /lib/libreadline.so.4.2*old ; ldconfig
cd ../bash-2.05
  make install-strip
  mv /usr/bin/bash /bin/
  ln -sf bash /bin/sh
  ln -sf ../../bin/bash /usr/bin/rbash
  install -m 644 COMPAT NEWS    %{_defaultdocdir}/bash/
  install -m 644 COPYING        %{_defaultdocdir}/bash/
  install -m 644 doc/FAQ        %{_defaultdocdir}/bash/
  install -m 644 doc/INTRO      %{_defaultdocdir}/bash/
  install -m 644 doc/*.html     %{_defaultdocdir}/bash/
  install -m 644 doc/builtins.1 %{_mandir}/man1/bashbuiltins.1
  install -m 644 doc/rbash.1    %{_mandir}/man1/rbash.1
  gzip -9f %{_infodir}/*.inf*[^z] || true

%files
/bin/bash
/bin/sh
/usr/bin/bashbug
/usr/bin/rbash
%doc %{_infodir}/bash.info.gz
%doc %{_mandir}/man1/bash.1.gz
%doc %{_mandir}/man1/bashbuiltins.1.gz
%doc %{_mandir}/man1/bashbug.1.gz
%doc %{_mandir}/man1/rbash.1.gz
%doc %{_defaultdocdir}/bash/

%files -n readline
/lib/libhistory.so.4
/lib/libhistory.so.4.2
/lib/libreadline.so.4
/lib/libreadline.so.4.2
%doc %{_infodir}/history.info.gz
%doc %{_infodir}/readline.info.gz

%files -n readline-devel
/usr/include/readline/
/usr/lib/libhistory.a
/usr/lib/libhistory.so
/usr/lib/libreadline.a
/usr/lib/libreadline.so
%doc %{_mandir}/man3/readline.3.gz

%changelog -n bash
* Tue Sep 04 2001 - werner@suse.de
- Add patch to avoid trouble with C++ header definitions
* Fri Aug 03 2001 - werner@suse.de
- Fix fc crash (bug #9620)
* Mon Jul 02 2001 - olh@suse.de
- dont apply bash-2.05-s390x-unwind.patch on ppc and sparc
* Thu Jun 14 2001 - bk@suse.de
- fix 64-bit bigendian bug for s390x
* Wed Jun 06 2001 - werner@suse.de
- Re-order configure.in to avoid trouble with new autoconf
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Sat May 05 2001 - schwab@suse.de
- Fix process substitution when stdin is closed.
* Wed May 02 2001 - werner@suse.de
- Make patch for 2.4.4 work within spec
* Wed May 02 2001 - werner@suse.de
- Remove buggy patch in job control, add a workaround
* Mon Apr 30 2001 - werner@suse.de
- Add patch to get job control into right order on a pipe
* Thu Apr 12 2001 - werner@suse.de
- Provide cpp macro OLD_READLINE for backwards compatibility
  at compile time with old readline interface
* Thu Apr 12 2001 - ro@suse.de
- added split-alias as provides (again)
* Wed Apr 11 2001 - werner@suse.de
- Update to bash 2.05 and readline 4.2
- Port of our patches
* Thu Feb 22 2001 - werner@suse.de
- Split package into bash/readline/readline-devel
- Depend libreadline on libncurses
* Thu Sep 14 2000 - werner@suse.de
- Add some bug fixes
- Add missed ssh fix for none interactive shell
* Wed Jun 07 2000 - werner@suse.de
- Fix some patches
- Add export patch for bash 2.04
- Fix `soname' of readline and history libraries
- Fix linkage of major readline and history libraries
* Mon Jun 05 2000 - schwab@suse.de
- Fix unwind_protect_pointer on 64-bit systems.
* Wed May 31 2000 - schwab@suse.de
- Comment out declaration of savestring in <readline.h> that conflicts
  with other people's declaration (eg. gdb).
* Mon May 29 2000 - aj@suse.de
- Upgrade to bash 2.04 and readline 4.1.
* Sun May 21 2000 - kukuk@suse.de
- Use docdir
* Sat Apr 01 2000 - bk@suse.de
- remove obviosly unneeded link /usr/lib/libreadline.so on s390
* Tue Mar 14 2000 - werner@suse.de
- Add locale patch to enable LC_NUMERIC handling
* Thu Feb 24 2000 - werner@suse.de
- Use $VENDOR for several linux architectures
- Set check_window_size (shopt checkwinsize) to true, this will
  correct screen size even if it changes during a job.
* Tue Feb 15 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
- Fix spec file to create doc directory before installing into it.
* Fri Jan 28 2000 - werner@suse.de
- Add mailstat patch (handles mail directories)
- Fix configuration (system is %%arch-suse-linux)
- Fix segfault (job handling)
- Fix manual (add rbash manual, add some missed options)
- Install rbash (symlink to bash)
- Fix readline (End, Del)
- Fix temporary file handling (do not write without check)
- Use system random interface not builtin
- Remove some compiler warnings
- Set --enable-disabled-builtins (useful)
- Install shared readline and history in /lib (bash needs that)
- Enable shared readline (version 4.0) and history library
- Try to use shared readline and history for bash (TEST)
* Fri Dec 03 1999 - kasal@suse.de
- added command to make and install doc/bashref.html
* Fri Nov 26 1999 - kukuk@suse.de
- Fix spec file
* Thu Nov 25 1999 - kukuk@suse.de
- Merge Makefile.Linux with spec file, use RPM_OPT_FLAGS
- Remove --disable-dparen-arithmetic
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- fixed for PPC
* Mon Jul 19 1999 - florian@suse.de
- update to bash 2.03, readline 4.0
* Wed Jan 13 1999 - @suse.de
- disabled `Broken pipe' messages
* Sun Dec 13 1998 - bs@suse.de
- removed notify message - bash 2.0 is standard for a long time now.
* Mon Dec 07 1998 - florian@suse.de
- remove SSH_CLIENT-kludge as this cannot detect all correct cases
  where .bashrc should be loaded
- delete email-changes in bashbug script
- update readline to version 2.2.1
* Thu Nov 12 1998 - bs@suse.de
- minor fix for new rpm
* Thu Oct 01 1998 - ro@suse.de
- update to 2.02.1 / reintegrated werner's tmp-fix for bashbug
* Thu Jul 23 1998 - werner@suse.de
- use mktemp
* Thu Jul 16 1998 - werner@suse.de
- fix bashbug temp file handling
* Wed Jun 17 1998 - ro@suse.de
- changed general.h: !defined (gid_t)
* Mon Oct 27 1997 - florian@suse.de
- do not include old compatible-only safestring() in libreadline.a
* Thu Oct 09 1997 - florian@suse.de
- update to version 2.01.1
- add several bugfixes
- fix missing things in spec-file
* Thu Aug 14 1997 - florian@suse.de
- add several bug-fixes from gnu.bash.bug and fix memory management
  of LC_ALL
* Sat Jul 05 1997 - florian@suse.de
- add another bugfix from gnu.utils.bugs
* Mon Jun 23 1997 - florian@suse.de
- create the history file with 0600 perms
- add minor bugfix to check for new email
* Thu Jun 05 1997 - florian@suse.de
- update to bash 2.01 and readline 2.1
- add more documentation files in /usr/doc
- bash: check for NULL-pointer before calling "savestring()"
- add bashref.info and newer FAQ
* Tue Apr 22 1997 - bs@suse.de
- added FAQ and bashref.html to /usr/doc/packages/bash
* Sun Apr 13 1997 - florian@suse.de
- update to bash 2.0 with lots of patches from gnu.utils.bugs
* Thu Jan 02 1997 - 
  new version with security patches
* Thu Jan 02 1997 - florian@suse.de
  security fix included (0xff was command separator)
